{pkgs, ...}: {
  imports = [
    ./xwayland-sat.nix
    ./screenshot.nix
    ./input.nix
    ./binds.nix
    ./style.nix
  ];
  programs.niri.settings = {
    outputs."eDP-1" = {
      scale = 1.0;
    };

    spawn-at-startup = [
      {
        command = ["eww" "open-many" "topBar" "bottomBar"];
      }
      {
        command = [
          "${pkgs.swaybg}/bin/swaybg"
          "-i"
          "${../../../../other/assets/wallpaper/wallpaper.jpg}"
          "-m"
          "fill"
        ];
      }
    ];

    window-rules = [
      # TODO: privacy screen rules
      {
        matches = [
          {
            app-id = "steam";
          }
        ];
        open-focused = false;
      }
    ];

    # fix electron apps not doing wayland
    environment.ELECTRON_OZONE_PLATFORM_HINT = "auto";
  };
}
